I use the following method:
Sub Circle2EllArc_TouchPoint()
{color:#339966}'Finds vertex point created by the tangent constraint
'between fixed circle and fixed elliptical arc
'This method works ONLY if the sketch geometry {color}{color:#ff0000}IS FIXED.{color}
Dim oDoc As PartDocument
Set oDoc = ThisApplication.ActiveDocument
Dim oCompDef As PartComponentDefinition
Set oCompDef = oDoc.ComponentDefinition
{color:#339966}'reference to the specific sketch{color}
Dim oSketch As PlanarSketch
Set oSketch = oCompDef.Sketches.Item(1)
{color:#339966}'reference to the elliptical arc{color}
Dim eArc As SketchEllipticalArc
Set eArc = oSketch.SketchEllipticalArcs.Item(1)
{color:#339966}'reference to the circle{color}
Dim oCirc As SketchCircle
Set oCirc = oSketch.SketchCircles.Item(1)
{color:#339966}'Let's create sketchpoint
'It's position cannot be arbitrary, but you almost
'always have a chance to find appropriate coordinates.
'e.g. the midpoint between circle and arc centerpoints{color}
Dim oTG As TransientGeometry
Set oTG = ThisApplication.TransientGeometry
Dim oP As SketchPoint
Set oP = oSketch.SketchPoints.Add(oTG.CreatePoint2d(0, 0), False)
{color:#339966}'add two coincident constraints between our point and both curves{color}
Call oSketch.GeometricConstraints.AddCoincident(oP, eArc)
Call oSketch.GeometricConstraints.AddCoincident(oP, oCirc)
{color:#339966}'print touch point coordinates
{color}Debug.Print "X = "; oP.Geometry.X
Debug.Print "Y = "; oP.Geometry.Y
End Sub
Hope this helps.
ALink